curl --request GET \
--url https://staging.api.us.aptlydone.com/decision/v1/delegations/{id}/{revisionDate} \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.us.aptlydone.com/decision/v1/delegations/{id}/{revisionDate}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.us.aptlydone.com/decision/v1/delegations/{id}/{revisionDate}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "9f45f94d-20d2-4163-85d9-68f4f699e440",
"tenantId": "105fa115-52d0-4466-baff-740447a60774",
"issuerType": "ROOT_AUTHORITY",
"recipientType": "PERSONNEL_IN_POSITION",
"decisionId": "864fa115-52d0-4466-baff-740447a60774",
"issuedDate": "2025-01-01T12:00:00Z",
"acceptedDate": "2025-01-01T12:00:00Z",
"effectiveDate": "2025-01-01T12:00:00Z",
"delegationDisplayId": "12789",
"link": "/delegations/view/eyJ0ZW5hbnRJZCI6IjEwNWZhMTE1LTUyZDAtNDQ2Ni1iYWZmLTc0MDQ0N2E2MDc3NCIsImRlbGVnYXRpb25JZCI6IjMwOGNiMzMxLWYwMTgtNGJjNS1hMWE3LTQ1MTI4NTU4MTg0MyJ9",
"status": "DRAFT",
"isRootDelegation": false,
"issuerUserId": "648fa115-52d0-4466-baff-740447a60774",
"issuerPositionId": "257fa115-52d0-4466-baff-740447a60774",
"recipientAutoIssue": false,
"parentDelegationId": "726fa115-52d0-4466-baff-740447a60774",
"expirationDate": "2025-12-31T12:00:00Z",
"isNoExpiration": false,
"updatedAt": "2025-01-01T12:00:00Z",
"copiedFrom": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"delegationPathway": [],
"delegationRecipients": [],
"delegationGroups": [],
"delegationAuthorities": [],
"delegationDocuments": [],
"delegationId": "9f45f94d-20d2-4163-85d9-68f4f699e440",
"sourceDecision": {
"id": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"decisionDisplayId": "14623",
"name": "Long-term Investments",
"description": "The Long-term Investments authority involves approving strategic investments",
"guidance": "Investment decisions for long-term, strategic investments...",
"sectionId": "105fa115-52d0-4466-baff-740447a60774",
"categoryId": "248fa115-52d0-4466-baff-740447a60774"
},
"isInvalid": false,
"invalidFields": [
"delegationGroups",
"delegationAuthorities"
],
"actionIssuerApproval": true,
"actionDelegationAcceptance": true,
"actionAuthorityRequest": true,
"approvalActionExistForUser": true,
"acceptanceActionExistForUser": true
}Get delegation history
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Delegation history details retrieved successfully
Unique identifier
"9f45f94d-20d2-4163-85d9-68f4f699e440"
Tenant ID
"105fa115-52d0-4466-baff-740447a60774"
Delegation issuer type
"ROOT_AUTHORITY"
Delegation recipient type
"PERSONNEL_IN_POSITION"
Source decision for the delegation chain
"864fa115-52d0-4466-baff-740447a60774"
Date on which delegation was issued
"2025-01-01T12:00:00Z"
Date on which delegation was accepted
"2025-01-01T12:00:00Z"
Date from which delegation will be effective
"2025-01-01T12:00:00Z"
Delegation Display ID
"12789"
Delegation Link
"/delegations/view/eyJ0ZW5hbnRJZCI6IjEwNWZhMTE1LTUyZDAtNDQ2Ni1iYWZmLTc0MDQ0N2E2MDc3NCIsImRlbGVnYXRpb25JZCI6IjMwOGNiMzMxLWYwMTgtNGJjNS1hMWE3LTQ1MTI4NTU4MTg0MyJ9"
Delegation status
DRAFT, PENDING, ISSUED, ACCEPTED, REJECTED, SUSPENDED, REVOKED, EXPIRED, ARCHIVED, DELETED "DRAFT"
Indicates if this is a Root Delegation
false
Delegation issuer user id
"648fa115-52d0-4466-baff-740447a60774"
Delegation issuer position id
"257fa115-52d0-4466-baff-740447a60774"
Auto Issue option for Delegation recipient of type PERSONNEL_IN_POSITION
false
Parent delegation (Only applicable for non root delegations)
"726fa115-52d0-4466-baff-740447a60774"
Date on which delegation will be expired
"2025-12-31T12:00:00Z"
Indicates if "No Expiration" option is selected for expirationDate
false
Date when delegation was last updated
"2025-01-01T12:00:00Z"
ID of Delegation which was copied to create current delegation
"7df90da4-0634-40b9-abf5-6e97a222cfb8"
Delegation Pathway
Show child attributes
Show child attributes
Delegation Recipients
Show child attributes
Show child attributes
Delegation Groups
Show child attributes
Show child attributes
Delegation Authorities
Show child attributes
Show child attributes
Delegation Documents
Show child attributes
Show child attributes
Unique identifier
"9f45f94d-20d2-4163-85d9-68f4f699e440"
Source Decision
{
"id": "7df90da4-0634-40b9-abf5-6e97a222cfb8",
"decisionDisplayId": "14623",
"name": "Long-term Investments",
"description": "The Long-term Investments authority involves approving strategic investments",
"guidance": "Investment decisions for long-term, strategic investments...",
"sectionId": "105fa115-52d0-4466-baff-740447a60774",
"categoryId": "248fa115-52d0-4466-baff-740447a60774"
}
Indicates if delegation is invalid
false
Indicates which delegation fields are invalid
["delegationGroups", "delegationAuthorities"]
Indicates if the delegation Approval action is on/off in settings
true
Indicates if the delegation Acceptance action is on/off in settings
true
Indicates if the delegation request action is on/off in settings
true
Indicates that delegation Approval active action exist or not for user as assignee
true
Indicates that delegation Acceptance active action exist or not for user as assignee
true
Was this page helpful?